Subject: Re: bug#24718: emacs25.1 + gnus, opening message gives: epg-error "no usable configuration" CMS, bug#24718: 25.1; (auth-source-search) fails in 25.1.1 for OSX

From: Gijs Hillenius <[email-masked]>
Date: Wed, 19 Oct 2016 15:50:51 +0200

On 19 Oct 2016, Ted Zlatanov wrote:

> Hi Gijs, can you try Alexey's workaround? Also note my two suggestions
> at the bottom, if the workaround doesn't do it.
>
> Alexey reported this for Mac OS but it seems like it may affect
> multiple platforms, since you said that you were on Debian.
>
> Thanks
> Ted
>
> On Wed, 19 Oct 2016 00:14:50 +0200 Alexey Veretennikov <[email-masked]> wrote:
>
> AV> I've found rather strange solution/workaround.  I've used gpg
> AV> version 2.0.xx, which worked for me for 25.0.50 I believe.  But
> AV> for 25.1 I had to upgrade gpg to 2.1.15. Now everything seems to
> AV> work.
>
> AV> Ted Zlatanov <[email-masked]> writes:
>
>>> there are two easy things you can do to help us locate the problem:
>>>
>>> 1) open any .gpg file directly. Does that fail with the same
>>> message?
>>>
>>> 2) set auth-sources to ~/.authinfo and put some lines in that
>>> file. Does that work?
>>>
>>> If (1) fails and (2) works, the problem is in EPA/EPG or its
>>> configuration, and not auth-source. You can use (2) as a workaround
>>> until this issue is resolved.

I'm already on (Debian's) GPGv 2.1.15-4, and I can open .gpg files fine,
such as authinfo.gpg. I can also decrypt gpg buffers
(epa-decrypt-region) fine.

So far, I only get this error "epg-error "no usable configuration" CMS"
when opening an email message by somebody using an Apple to send me an
S/MIME message. In Emacs24, using Gnus, this gives the normal message
headers followed by

[[S/MIME Signed Part:Failed]]
1.  ( ) text/plain          (*) text/html  

in Emacs25, the same message is displayed as raw.

Perhaps it is not at all related to the OP's issue.